#!/bin/bash

echo "modify generic" 
cd $ISSM_DIR/bin
cat generic_static.m | sed -e "s/generic_static/generic/g" > generic.m
echo "move mpiexec to bin" 
cp ../externalpackages/mpich/install/bin/mpiexec .
cp ../externalpackages/mpich/install/bin/hydra_pmi_proxy .

#Check that test101 runs
cd $ISSM_DIR/test/NightlyRun
rm matlab.log
$MATLAB_DIR/bin/matlab -nojvm -nosplash -r "try, addpath $ISSM_DIR/bin $ISSM_DIR/lib; runme('id',101);exit; catch me,fprintf('%s',getReport(me)); exit; end" -logfile matlab.log

if [[ $(cat matlab.log | grep -c SUCCESS) -lt 10 ]]; then
	echo "test101 FAILED"
	exit 1;
else
	echo "test101 passed"
fi

tarball_name='issm-ubuntu-static_build.tar.gz'

echo "Cleanup first" 
cd $ISSM_DIR
rm $tarball_name

echo "Creating tarball: ${tarball_name}"
cd $ISSM_DIR
tar -czf $tarball_name ./bin ./lib ./test ./examples
ls -lah $tarball_name

echo "Shipping binaries to website"
cp $tarball_name /u/astrid-r1b/morlighe/public/
chmod 777 /u/astrid-r1b/morlighe/public/$tarball_name
scp $tarball_name websites.jpl.nasa.gov:/home/larour/files/$tarball_name
